@import "src/assets/styles/00-settings/settings";

.introduction-block {
  display: grid;
  grid-template-columns: auto 1fr;

  img {
    grid-column: 1;
    height: 200px;
  }

  .paragraphs-container {
    margin: auto;
    grid-column: 2;

    p {
      $marginX: 30px;
      margin: {
        left: $marginX;
        right: $marginX;
      }
    }
  }
}

@media screen and (max-width: $M) {
  .introduction-block {
    grid-template-columns: 100%;
    align-items: center;

    img {
      margin: auto;
    }

    .paragraphs-container {
      grid-column: auto;
      margin-top: 30px;

      p {
        $marginX: 0;
        margin: {
          left: $marginX;
          right: $marginX;
        }
      }
    }
  }
}
